commit f51546c15f723590118e094bb95a9ee89b89f160
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Sat Nov 12 18:55:24 2016 +0100

    vio: Remove unused obsolete code

    Change-Id: Ie6aeb0b73bd7d7f7b838003602d19f67ea24b4c1
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 9f4d8d50ce2ca058075b6cf4b4c3862bfb411d7a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Oct 5 12:39:15 2016 +0200

    Add support for new VirtIO channel name

    Bug-Url: https://bugzilla.redhat.com/1350334
    Change-Id: Ibb5a6120317bf24ca750dde3c9913db24709774e
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit baa1be15dde19743ee0b7a7a412952fec5ea387e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Oct 12 12:09:20 2016 +0200

    Report session-startup on refresh

    To show that we support session-startup and session-shutdown
    we need to send upon receiving a refresh message also the
    session-startup message. Otherwise VDSM will assume that
    we do not support session-{startup,shutdown} reporting.

    Change-Id: Ia19348cd66552fcf029d6725ba78e22619ce77e9
    Backport-To: 4.0
    Bug-Url: https://bugzilla.redhat.com/1341106
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d89d9619f537fa446ae5b5e0f1cc794b0f2ba243
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Sep 30 12:28:00 2016 +0200

    Report session start and stop on all Guest OSes

    Previously the session shutdown was reported on Windows only and
    the session startup wasn't reported at all. This patch fixes this
    missing feature.

    Change-Id: Iddf478c6d961dad60c2095762654d1bf4c33c25e
    Backport-To: 4.0
    Bug-Url: https://bugzilla.redhat.com/1341106
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1602123e67b88f86a2f67e4ac8f53a43cfe4551b
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon Jan 14 10:46:05 2013 +0100

    agent: apply virtual-guest tuning profile on installation

    Change-Id: I51691439193ec6da881459a5e7c9f798aa9f618c
    Signed-off-by: Gal Hammer <ghammer@redhat.com>
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 21cba0c0b211ecf13730233695768bfb2bd31889
Author: Yedidyah Bar David <didi@redhat.com>
Date:   Tue Sep 13 14:25:16 2016 +0300

    build: Use newer python-windows and pywin32

    Change-Id: Id286c81e671fc6a5ad6c34e14f3516a7cff1b7f8
    Signed-off-by: Yedidyah Bar David <didi@redhat.com>

commit 218d9145fb7b7bf87a3a307c40e2d8a789352523
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jul 13 13:34:58 2016 +0200

    windows: Apply timer usage parameters for best performance

    The configuration should be now done like this:

    - For versions above Windows 2003/Vista we're going to delete the
      USEPLATFORMCLOCK value to let the windows kernel decide the best
      option by itself

    This functionality can be disabled by setting the value
    general.apply_timer_configuration in the configuration to false

    Change-Id: I8a344002ac4206a6125755a4b0195777cdfadcf9
    Bug-Url: https://bugzilla.redhat.com/1335309
    Bug-Url: https://bugzilla.redhat.com/1354532
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit fe036948268ec61b1c485e3b1c30002018d468f3
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 12 09:57:40 2016 +0200

    linux: Fix osinfo script typo as reported in BZ

    Previously overlooked typo in the bug report. This fixes this typo.

    Change-Id: Iebcad103a751537f35a2532bb6c2bc891971ef9d
    Bug-Url: https://bugzilla.redhat.com/1337942
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit b22ccc74bf32d28e044e2e347ae1b13233db3611
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 12 09:45:17 2016 +0200

    build: pep8 tool is now called pycodestyle

    The codestyle checking tool pep8 has been renamed to pycodestyle with
    version 2.0
    This patch adds a check for pycodestyle if pep8 wasn't found to handle
    this change but keep the previous name still relevant.

    Change-Id: I03f486e13d0365f9e8bf114bbe41164b1b85e9c3
    Bug-Url: https://bugzilla.redhat.com/1352773
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit efab8383eba953a06bfa39d77df084324e2ee2db
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Jun 23 09:46:26 2016 +0200

    build: Including Windows SSO plugins in build now

    Change-Id: Id2e0c4e41d3dd0b128df4dd1617684a9b64cd491
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 836c7dca83f0a18d9a8baab13b5cea663cdadb15
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Apr 2 14:13:35 2014 +0200

    Adding Windows cross compilation compatibility

    This patch introduces changes to the guest agent plugins to have the
    ability to cross compile the plugins

    Change-Id: I40f0c5d85a2ed2d322250271d2f8d75f96b74598
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 50093664153a73419aad11056bd38863d38736c3
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Jul 4 20:39:54 2014 +0200

    Additional filtering data point for updates

    Updates by Microsoft usually contain a 'HelpLink' field which points
    to somewhere at http://support.microsoft.com

    This patch utilizes this fact to additionally detect otherwise
    undetected items to filter.

    Change-Id: Iee20995c2b832e5cda42838c8a2965633785f69c
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 4c8adf37b9c234598bb6b8ae199ab74bb4128eb3
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jun 22 12:41:05 2016 +0200

    packaging: Fix for rhel6 spec file

    The jenkins nightly builds were broken due to this mistake.

    Change-Id: Ifc44bfca0a08d45fab6dca17eba041d82de00b52
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 22d972a1c4b5ea0c17992f6ce4e7cae87b8e24e4
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jun 7 09:28:11 2016 +0200

    hooks: Make execution more robust

    Previously, exceptions raised due to executing potentially not
    executable or inaccessible hooks caused exceptions to be passed
    through to the VirtIO read loop. Which caused that any other hook
    configured after that not being executed.

    This patch handles the OSErrors potentially raised by the subprocess
    usage

    Change-Id: I951f6e6ecabdebb9abeba7449329a363296411f7
    Bug-Url: https://bugzilla.redhat.com/1343017
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit c5f1e25ea31d7df09e344e19e426f2e8247bf9b8
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jun 7 11:18:21 2016 +0200

    Win: Apply USEPLATFORMCLOCK on Windows 6.x+ on startup

    This patch will apply the boot setting for the current OS configuration
    to use the platform clock. This will improve the time keeping for the
    windows guest operating systems version 6.x+

    Change-Id: Id76464df66f577a1d78db716beb04ee8311b9bb5
    Bug-Url: https://bugzilla.redhat.com/1328920
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d2c5dde976dae509acbb302a4f9a330918ce852a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 19 17:09:31 2016 +0200

    automation: Windows spec update to 1.0.12

    This was missing from the version bump

    Change-Id: Ie325e7acb1d95237ef97f2181ae0fb69cfec24a2
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1796632c776558dcee88a14f5c057da705d9870b
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 19 13:03:08 2016 +0200

    Version Bump 1.0.12 - For ovirt 4.0

    Change-Id: Ie52dde8f113d69942072c027b9d627f18e216a72
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 519e9b3b1da2ce096176cab22eac391ac5840980
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed May 4 09:41:31 2016 +0200

    Map architectures i[356]86 to x86

    Because architectures i386,i586 and i686 aren't understood by the engine
    we have to map them to x86

    Change-Id: Idca38acbe9a62d50016d3f177eaf3d028487a0b9
    Bug-Url: https://bugzilla.redhat.com/1332723
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit a781a1ca19f3ff945747049556ed637f5e299237
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed May 11 14:49:03 2016 +0200

    linux: Default flush caches hook for the guest agent

    This patch adds a script to flush cache buffers of linux systems.
    This script will now be installed as a default hook before migrations
    and hibernations to allow faster migrations / hibernations.

    Since this script needs root permissions to function, the necessary
    elevation scripts have been added.

    Change-Id: Iccf6708cd40843884571d2ed9ccf1e420b13cc0f
    Bug-Url: https://bugzilla.redhat.com/1298120
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 6580f866717810ebaac1cd6ab60be2fcc91fe967
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 19 09:28:12 2016 +0200

    linux: Add atomic host awareness to container-list

    For the container list script it is necessary that it becomes
    aware of being in a container and correspondingly tries to use
    the /host prefix for the docker socket path if it inside a container

    Change-Id: I63b95320674ee52fd8a4c8bb2328c39e24b5e2d1
    Bug-Url: https://bugzilla.redhat.com/1273399
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 55cf8f65b54e6123df273c760751ebd77ae66f0e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Oct 16 14:39:53 2015 +0200

    Support for reporting active docker containers

    With this patch we'll be able to report active docker containers
    running on a VM.
    If there are no containers, the reported list would be empty.

    The reported data is a list of objects with the following fields:
    - id: Docker Container ID
    - names: List of aliases for the running container
    - image: Name of the running image
    - cmd: The command the container was started with
    - status: The status message of the container

    Change-Id: Iaeab78cdab55ba9a525479a1785c2c1e4730a862
    Guest-Agent-API-Version: 3
    Bug-Url: https://bugzilla.redhat.com/1273399
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d06975721dcae7d060dc9af88cfcffbd42963c0e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed May 11 14:48:11 2016 +0200

    Implementation for guest agent hook points

    This patch introduces the ability of the guest agent to handle lifecycle
    events and executes hooks which are configured for the given event.

    Change-Id: I77dc3278c28e3f156c54a1db653744c127bd1c3f
    Bug-Url: https://bugzilla.redhat.com/1298120
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 520201d811eed4cec58211737471c8926e883edc
Author: Sandro Bonazzola <sbonazzo@redhat.com>
Date:   Mon Mar 21 12:44:31 2016 +0100

    automation: don't require repos on el6

    Change-Id: I8f5bfca573106aa31f30d8959d5fb61666697b38
    Signed-off-by: Sandro Bonazzola <sbonazzo@redhat.com>

commit 17f66d0e084f96c5bb5314d4974662e76cd26b80
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Feb 23 14:23:10 2016 +0100

    windows: More defensive code for windows VirtIO handling

    To avoid continous exceptions to eat 100% of the CPU we're
    now sleeping at least for 1 second after an exception and
    we're logging the exception in debug mode, so we can investigate
    potential problems.
    To avoid spamming the logs this is on debug log for now.

    Change-Id: I0cb7c1108a579bf55f9340cb1c211b65d6cd8f5b
    Bug-Url: https://bugzilla.redhat.com/1257835
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 55b63a2961d207a10f4ff0826bcdeb499169d8f8
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Mar 11 11:55:57 2016 +0100

    Force negotiation of the API Version

    This patch introduces a forced switch of the api version value to disabled
    first and then max on the second heart-beat. Which effectively triggers
    VDSM to renegotiate the API version.

    Change-Id: I1ba2013e17e13cecec4eae53c7a4d11cee4b47b9
    Bug-Url: https://bugzilla.redhat.com/1285851
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d2bcc66fc4bab58b0599f6039372d3e3cb3990de
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Jan 14 14:35:54 2016 +0100

    win: Try to revert to previous value on TranslateName failure

    In case TranslateName fails, we're now reverting back to the previous value
    of the username only - Most of the time the translation fails on the hostname
    which cannot be resolved.
    Which would cause random data to be returned. This has been resolved with this
    patch.

    Change-Id: I4c5cf6db6d906625cdd01415e2c1153ae3fa0c08
    Bug-Url: https://bugzilla.redhat.com/1117504
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 4e686cdc15b2b91ab28f73df9a6fb17e7fdcce72
Author: Yedidyah Bar David <didi@redhat.com>
Date:   Wed Nov 25 11:26:39 2015 +0200

    automation: Build for windows only if deps available

    We build the depdendencies for windows only on latest fedora.
    Do not check %dist but just try to get them. Exit cleanly if missing.

    Change-Id: I93275a2714ae012db1725b47d6646f7e43bd8bdc
    Signed-off-by: Yedidyah Bar David <didi@redhat.com>

commit e439e4a9ae3af12837bf9ee5f81129a70951f63b
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Nov 30 12:46:49 2015 +0100

    Fix osinfo for el5

    Python 2.4 does not come with linux_distributions, so we are
    putting in an explicit workaround for EL5

    Change-Id: I8dc2efa00eac25c6854fb8f47b86e5da746502e1
    Bug-Url: https://bugzilla.redhat.com/1286937
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 6d7c24d774a9f71a7c54f243c95fe8c6c96eaddc
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Nov 27 08:12:26 2015 +0100

    PEP8 fix introduced regression

    Bug-Url: https://bugzilla.redhat.com/1285834
    Change-Id: I9af99bce9b5c2558a1e87859edc08cce37704cd2
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 3e191fa79517fe8bcf32f0832aab2e96e37d1865
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Nov 19 12:08:16 2015 +0100

    win32: Update version information reporting for Win8+ and simplify

    With Windows 8.1 the API for retrieving the OS version on Windows has
    changed that it won't report a higher version than 6.2 even though it
    might be Windows 8.1 or Windows 10 etc

    This code change introduces a new way to retrieve the current version by
    using RtlGetVersion which still does behave the old way.
    Additionally this patch already introduces the Windows 2016 Server detection
    as the version for this is known.

    Also this patch now removes obsolete and unsupported versions.

    Change-Id: I8047842b080140e072b04c2af46ec0e6b8287c51
    Bug-Url: https://bugzilla.redhat.com/1279980
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 77e52cc5b8165c8f65557ae8ed6cfb5756587183
Author: Yedidyah Bar David <didi@redhat.com>
Date:   Mon Oct 19 14:58:03 2015 +0300

    packaging: windows spec: Remove 'artifacts' from paths

    Change all /usr/share/artifacts to /usr/share.

    See:

    https://gerrit.ovirt.org/47771 - spice-nsis aka ovirt-wgt
    https://gerrit.ovirt.org/47460 - ovirt-wgt-toolchain
    https://gerrit.ovirt.org/47461 - ovirt-guest-agent

    Change-Id: Ia95c93d7399758fe4ae6bbf22219065b7a58c4ae
    Signed-off-by: Yedidyah Bar David <didi@redhat.com>

commit feb0b120457e67396aa47f076a625f9af7b1f03d
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Sep 23 14:14:20 2015 +0200

    Providing afxres.h for cases where no MFC is available for VC

    Change-Id: Ia9bb7a0ec6aae9c1a5ba0a8710f42b3487857e21
    Bug-Url: https://bugzilla.redhat.com/1177242
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 48fb7db4207efd991c9d33e1524bb9ec714aa33b
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Sep 23 11:24:22 2015 +0200

    Imports reorder

    Change-Id: Iab4245af990f35ab2fd3eb34531c59089f33b957
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit c7d34e391a3ca8b78e7e024e6f6919fa03f46898
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Sep 22 11:31:32 2015 +0200

    PEP8 1.62 compliance fixes

    Change-Id: I50b6fedea4a9691b44fd527f1c9bb9cf0ddbde77
    Bug-Url: https://bugzilla.redhat.com/1265164
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit a683d840bb795942df164de11516532f7f83d294
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Sep 4 11:14:13 2015 +0200

    Exclude mount targets which are files

    Bug-Url: https://bugzilla.redhat.com/1252467
    Change-Id: I819bd8d86bbab8657aeaea745319145e39133ce3
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit b05e64cd45150c3980fccce7a75e71224c30444c
Author: Yedidyah Bar David <didi@redhat.com>
Date:   Tue Aug 4 23:57:57 2015 +0300

    automation: add automated rpm build

    Also fixed spec file causing build failures.
    Skipping rpmbuild for el7

    Change-Id: I79a23c5add645dfccc386406d9ee0126596f5b63
    Signed-off-by: Yedidyah Bar David <didi@redhat.com>
    Signed-off-by: Sandro Bonazzola <sbonazzo@redhat.com>
    Signed-off-by: David Caro <dcaroest@redhat.com>

commit 0177a91e4fe1e4733208a1ca5c110985bea74d7f
Author: Sandro Bonazzola <sbonazzo@redhat.com>
Date:   Wed Aug 12 17:32:11 2015 +0200

    packaging: remove autogenerated INSTALL

    Change-Id: Ib499cdcf7d0ad5bdc77fe1992307c2477f9fc649
    Signed-off-by: Sandro Bonazzola <sbonazzo@redhat.com>

commit cfc3a6ff13463ac0ca23829686d02174b8c5599d
Author: Sandro Bonazzola <sbonazzo@redhat.com>
Date:   Wed Aug 12 17:31:14 2015 +0200

    packaging: added windows agent spec file

    Change-Id: Ic1ecb0c9009c70bdafb5a22f78a85de1a32bb09a
    Signed-off-by: Sandro Bonazzola <sbonazzo@redhat.com>

commit b757ad835b3134835e660b1c57f964b7c5ea8d1c
Author: David Caro <dcaroest@redhat.com>
Date:   Fri Aug 7 11:42:38 2015 +0200

    Added git dependency

    It turns out that the inner make commands don't work without it, but
    don't fail either

    Change-Id: Iff44a3270c8e2c18f852d9c282fc24f39a7453cb
    Signed-off-by: David Caro <dcaroest@redhat.com>

commit dcff97c22fbbc9e2125c6e4edb2a707d83cccce3
Author: David Caro <dcaroest@redhat.com>
Date:   Wed Jul 29 12:59:27 2015 +0200

    Added standard ci scripts

    Only the check-patch, as that's the only job it has now on the ovirt
    ci

    Change-Id: I928b2a5c2ceff982475f9052acf96d610c0c04f7
    Signed-off-by: David Caro <dcaroest@redhat.com>

commit 9d75015dc6119800198f8321198faf75c633261d
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jul 20 08:59:48 2015 +0200

    1.0.11 version bump

    Change-Id: I971363830f76f1022562ca6ed2801e515e62da2c
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit deeaf0ffa9dd087bbdf89ef20bc12b1b934ef308
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Jun 12 09:17:17 2015 +0200

    Send an automatic refresh if the version changed

    Currently OGA does not send any updated information in case the version
    changed. That causes data to be missing on the VDSM side when there's
    a version difference.
    The only solution to solve this was until now is to restart VDSM, this
    patch addresses this limitation.

    Change-Id: I4b53609644438f661d8db1025e609b4b8d4efc7e
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit fd7439fccadc71af656b2c7bbea70b335af61324
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Jun 12 09:12:10 2015 +0200

    Fix exceptions on guest os reporting

    During the verification of the engine side of this feature, stacktraces
    have been found in the guest agent logs.
    The functionality was not affected by these exceptions, however need to
    be addressed properly. This patch solves this.

    Change-Id: I626081377ca6eb25588f4fc42aa70af7048ab7bd
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 81e314bec8f83cdf201bff10a168c7ba59cd7a1e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Apr 10 13:03:12 2015 +0200

    Adding atomic host support to the ovirt guest agent

    Change-Id: Id7c2d8b00ce4fab7dc61e449a012a8a7d32ec4de
    Bug-Url: https://bugzilla.redhat.com/1201516
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 08b9d0f0dd9180d31cb922dae40c2096fed2655c
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 21 08:46:14 2015 +0200

    app-list: Tracking also cloud-init now

    Change-Id: I15a1d4fedaee29c3da2f2e4602e081b53ed2270a
    Bug-Url: https://bugzilla.redhat.com/1206102
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 787b55e6340441f15ae2ca2699ec3217d2022c32
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Nov 21 10:11:39 2014 +0100

    linux: Logout active user support

    Change-Id: I1173dc8cb6c2bd68b5e2a2ba4ad69284b2085171
    Bug-Url: https://bugzilla.redhat.com/1171638
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit bcd1e4b6adcc49574a4f7027d0a910442b8cfb37
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Jun 19 13:23:40 2014 +0200

    Add OS info reporting

    Change-Id: I682fd9683cf9e4b392ecd4824e4a9526bf7e5e59
    Bug-Url: https://bugzilla.redhat.com/869296
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit f2140c47768190b58c1cd28d7ba1aaf14640df6e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Jun 19 13:44:18 2014 +0200

    Make GuestAgentLinux2 patchable for unit tests

    Change-Id: I6f0a927976272687b47f1e78e3a34eb6f23b64c9
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit bee68e003eda4b1d29ff7be06efe803941a7ac3a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 22 16:13:38 2014 +0200

    Support for timezone reporting

    This patch introduces the reporting the timezone and time offset
    of the guest operating system.

    Change-Id: I94c1429f40448a262d0d72fcc6dba2b4b59340c2
    Bug-Url: https://bugzilla.redhat.com/869296
    Guest-Agent-API-Version: 2
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 25390c075d0a0566d00dfab741fb6370b0fa76e0
Author: Lev Veyde <lveyde@redhat.com>
Date:   Tue Dec 16 17:41:52 2014 +0200

    win32: Application list is not returned on 2K3 R2

    The application list is not returned, as it seems that under Windows
    2003 R2 the subsequent call to the OpenKey, after the parent key has
    been already opened, for some reason looses the correct WOW property,
    resulting in key not found error.

    Change-Id: I1a801f53fe917e1327b50c75de102d7635959c76
    Signed-off-by: Lev Veyde <lveyde@redhat.com>
    Bug-Url: https://bugzilla.redhat.com/1174853

commit e0e6e452f29730ea8c4a2dc889787e09e71c6bc7
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Nov 18 08:49:36 2014 +0100

    sudoers: Fix of typo ovirt-shutdown-wrapper{s,}

    Change-Id: I9247c6c2048a1f20f048c8232d2c18698a414073
    Bug-Url: https://bugzilla.redhat.com/1155921
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 901e298c5030568002a8d86ffed267e13a7f7b7f
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Nov 14 12:57:16 2014 +0100

    win32: Set registry value with SetValueEx not SetValue

    _winreg.SetValue only allows to set the default value on a subkey
    SetValueEx lets one specify the value name and the value itself.

    Additionally as a security measure we're now encapsulating all
    exceptions coming from SAS handling to still at least attempt the
    login, even if the SAS portion may fail.
    This is just a precaution to prevent SSO from breaking due to some
    unforeseen bug.

    Change-Id: I51d70381de43d62e96f9f24de60bdf0226e20f54
    Bug-Url: https://bugzilla.redhat.com/1158470
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit e5081665565b461b680d0ee094b9e82bdc08e313
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Nov 11 13:58:57 2014 +0100

    win32: Read serial info directly when not available through WMI

    The SerialNumber field in the WMI table 'Win32_DiskDrive' is only
    available from Windows Vista and Windows 2008 Server.

    This patch works around this issue by querying the device directly,
    but only if the SerialNumber field is not available.

    Change-Id: Id39914464377c388b8ef3e2551a47a295de4a750
    Bug-Url: https://bugzilla.redhat.com/1158907
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 5c484c61148ae50a8d1670482c59ed34dc7139ad
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Oct 30 12:24:06 2014 +0100

    win32: Also the listener thread needs to call CoInitialize

    Change-Id: If31c9703d177930922769b98187fae67a28efd4f
    Bug-Url: https://bugzilla.redhat.com/1158855
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 93aa6178f79189b41c28312e9c839e8d8045e52f
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Oct 29 15:54:02 2014 +0100

    win32: OpenKey third parameter must always be 0

    The third parameter is a reserved parameter, where the fourth is
    the parameter for the requested access rights. Previously the requested
    access was passed as the reserved parameter which is wrong, however it
    did not fail any testing.
    This patch corrects the misusage.

    Change-Id: I9fb3747edec2a7ea7270522ac7104748f7021870
    Bug-Url: https://bugzilla.redhat.com/1158470
    Bug-Url: https://bugzilla.redhat.com/1105056
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 76b9e84931c8c4b72ffa72238591a0b6fe5251fa
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Aug 27 16:11:27 2014 +0200

    win: Enable policy for software SAS

    On some systems the policy for enabling the Secure Attention Sequence
    might not have been set or has been set to a value which would not allow
    the guest agent to perform SSO.
    This patch introduces setting the policy before calling 'SendSAS' and
    reverting the policy to the previous value (in case it was set before).

    Change-Id: Ie2b5f58e461c92e06789d46fa9113441ea48e659
    Bug-Url: https://bugzilla.redhat.com/1124263
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 94f25df69d2acf1f0915ee4fc7672fd848f1f402
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Oct 10 11:09:03 2014 +0200

    SLE: Adding kernel-ppc64 to reported kernel packages

    Change-Id: Ibaade99efe4fbfe82d9174ef263531a1de1ff7c5
    Bug-Url: https://bugzilla.redhat.com/1151038
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 87179d348dd775629b31d13b45f5478492776b4a
Author: Tim Speetjens <tim.speetjens@redhat.com>
Date:   Wed Jul 9 14:07:58 2014 +0200

    Added additional logging for debugging guest/vdsm communication

    Change-Id: I76d6b41e2ee3775c560bedf6f948e382b694322a
    Signed-off-by: Tim Speetjens <tim.speetjens@redhat.com>

commit cc8d0418fcfa23bfcc60ef150f4375bea7bc4751
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Aug 28 08:57:25 2014 +0200

    linux: Ignore filesystems in disks usage with zero size

    This patch introduces a new option in the linux configuration files
    to ignore mounted filesystems with zero size.
    We're currently black listing file system types and with every
    new distribution we support new filesystem types have to be added
    which usually have no size. (total/used size equals 0)

    This patch introduces the ignore_zero_size_fs option to allow users
    to revert back to the old behaviour by setting the value to `false`.

    Change-Id: Iacaf57966aec2d973be39776b5f2457b27dac689
    Bug-Url: https://bugzilla.redhat.com/1130993
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 84e2216c39a2f4b4fb0768d561cf4e85e1f88939
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Aug 27 16:16:48 2014 +0200

    Fix pep8 error

    ovirt-guest-agent/GuestAgentLinux2.py:55:1: E302 expected 2 blank lines, found 1

    Change-Id: Ib05330955224108fa30b46e11b13b0fe99fab247
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 692b3ea13a7b4ea5a5426424d6aaf13a0f45ba32
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Aug 13 16:12:03 2014 +0200

    Support for mapping image ids to physical devices

    This patch uses libudev through ctypes for systems providing
    libudev due to the instable nature of sysfs. While on RHEL5
    we're using sysfs we cannot for example use it on Fedora 20
    with kernel 3.15 since the serial values seem not to be exposed
    by sysfs.

    This patch extends the disks-usage message with the 'mapping' field.
    The value of the mapping field is an object {'$serial': {'name': '$devname'}}

    Change-Id: Ie8961b3703703df573dbf2f0fca2143b463ae76b
    Bug-Url: https://bugzilla.redhat.com/1127607
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 6fc1a18b2be2e93070fce2cd3cb0d5e23e2ecc5e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Aug 15 14:18:42 2014 +0200

    Fix username handling on Windows

    We forcibly encoded the unicode string to UTF-8 right after retrieval
    which broke the encoding later on.

    This patch fixes this issue.

    Change-Id: I65b33e4f38f801f1770cf94a5ed36234c2fae90d
    Bug-Url: https://bugzilla.redhat.com/1010201
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit f531f482a2b2fa03ba7ec61449f5c3539a607a03
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 15 14:14:42 2014 +0200

    Filter out duplicated network adapters on Windows

    Change-Id: I19d4b91ea4fb6fcec6699ab6892ba1d6240919f6
    Bug-Url: https://bugzilla.redhat.com/1113089
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 3f1b5396f07145b830713b5643ca766bc6c817e7
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 15 10:22:40 2014 +0200

    Handle exceptions on reading package lists

    In some cases it might be possible that the package database
    is not accessible to non-privileged users.
    This patch handles and logs this issue and prevents the exception
    from stopping the guest agent thread with an unhandled exception.

    Change-Id: Id44210235a3bd8fadf91cb919896c1abe8b4c250
    Bug-Url: https://bugzilla.redhat.com/1117632
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1d8b7aadd24ef2e35e91dfc5f45d659dcf616bb3
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 15 11:51:59 2014 +0200

    Open mode for logfiles should be 'a+' rather than 'a'

    Change-Id: Ic4914ea6da41df191475896c0c9180d347c57501
    Bug-Url: https://bugzilla.redhat.com/1115515
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 7db458e77c0576f12c13a6f7e7cf3d5a46855beb
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 15 11:49:04 2014 +0200

    Remove downstream names from upstream ini

    Change-Id: Ic5ef41725a95bb19d2748d53a51bdbac432c9f84
    Bug-Url: https://bugzilla.redhat.com/1117690
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 34b3537a707c485174897d3f8e23ce97f904586b
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 1 14:53:56 2014 +0200

    Corrections to the build system for el5

    Change-Id: I401b4b0ff68abaf492ab31379c79a18c588cfa00
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 46821e25e131b5ba3d7fd0f389ad609d5af910d2
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 1 14:20:51 2014 +0200

    Bump to 1.0.10 for ovirt-3.5

    Change-Id: Ife1c6f7db53228d0e40242d620f9e40ff2344439
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 11c0e70b946ca661eea53c446cd3b8583bab8bfa
Author: Dan Kenigsberg <danken@redhat.com>
Date:   Tue Jun 17 10:51:30 2014 +0100

    sudoers: fix path to ovirt-shutdown-wrappers.sh

    Thanks to John Xue for reporting the issue.

    Change-Id: I6964e654cff6e0c602ff87ee5502fac2d9db7705
    Signed-off-by: Dan Kenigsberg <danken@redhat.com>

commit 000580fbc36360af370021e35880b6f53a120fcb
Author: Lev Veyde <lveyde@redhat.com>
Date:   Mon Jun 16 13:05:43 2014 +0300

    Fix win-guest-agent-build-exe.bat

    File paths must use backslashes.

    Change-Id: I24609f3afccd364ba2717e57cf241711f2461c91
    Signed-off-by: Lev Veyde <lveyde@redhat.com>

commit bea77cdfe1f2ada3fba8c66c8864cb420f229709
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 29 08:58:03 2014 +0200

    Speed up screenlocking on systems with logind

    Since logind is able to handle the screen locking, we're now prefering
    to use it, since it is handling the locking much more simple and reliable
    than our attempts to support multiple desktop environments.

    Change-Id: Iaaf01e5c6c612178f207e3acfc877d30e0a09ec8
    Bug-Url: https://bugzilla.redhat.com/1097390
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 0f5e43fd823d49563d31eb697c173038c2638e2d
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jun 10 12:40:01 2014 +0200

    win32: Also report 64-Bit applications Win-x64

    Up until now we did not report entries from the 64-Bit view of the
    registry. This commit reports those entries and also deduplicates the
    entries.

    Change-Id: I99e08710257331f5dce36ca64653de6f88139592
    Bug-Url: https://bugzilla.redhat.com/1105056
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 264a0f8fd54117c38b33a6c201bb549ff12cb1a2
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Jun 5 14:56:09 2014 +0200

    Cleanup the getApplications code

    Change-Id: Iceb493bb6b6703e426606febb0cdbce9a8890953
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 6666b1d9c82ba6fdaa27bc4300d1d223bf487063
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jun 3 12:19:06 2014 +0200

    No output when guest agent already running or stopped on RHEL5/6

    When the guest agent is already running and 'service ovirt-guest-agent start'
    is executed it no longer prints anything.
    The same for 'service ovirt-guest-agent stop' when the agent is already
    stopped.
    Additionally restart will use the same behaviour

    Change-Id: Id27e5b9f91b675fb5f2d2be8d5d1663efd34293f
    Bug-Url: https://bugzilla.redhat.com/1028381
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 41761f0a6676cf03ed5157842e95fc8827c03e7f
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jun 2 16:23:54 2014 +0200

    Filter Windows HotFixes by ReleaseType value

    Non-english releases contain a field 'ReleaseType' which contains
    an english string 'Security Update', 'Hotfix' or 'Update'
    Additionally we're checking for 'ParentKeyName' which contains
    'OperatingSystem' in case of an update.

    Change-Id: I4ab40ed538a48d79f30ee300d791ce4636371634
    Bug-Url: https://bugzilla.redhat.com/1103710
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 8e9f7f50dde29150cb93a7d308a84e41a020c8c1
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 29 11:26:19 2014 +0200

    Report FQDN more periodically

    Change-Id: I6754a6d77226636b8753425ca75cb7ccd56aa093
    Bug-Url: https://bugzilla.redhat.com/1101947
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit e48aab60028e59188ac1b1fe1c02651c3b14a329
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed May 28 16:14:02 2014 +0200

    Fix SSO on RHEL6

    The new pam implementation needs the ask_secret to be answered as well.

    Change-Id: I21f5da545d4fa26f816c4e25c88eccb09d4cfd56
    Bug-Url: https://bugzilla.redhat.com/1102095
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 3bf47a823485e828519514129cad62f2bdfb5850
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri May 23 09:58:26 2014 +0200

    Implement default configuration values

    When adding new config values to the configuration files, it's possible
    that due to the installation the configuration files won't get updated,
    when they are modified by an user/administrator on that given system.

    By using defaults, we can override this problem and ensure a proper
    application start, when config values are missing which are mandatory,
    to the functionality.

    Change-Id: I5ce9d457e826448aad205ce4abda5dc4b0210804
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>
    Bug-Url: https://bugzilla.redhat.com/1100249

commit 3f26e26c3b5209e5c4f62ceb1e37ba170869e489
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu May 22 16:16:56 2014 +0200

    Fixing pep8 errors

    Change-Id: Ic7c9c31493926deb7ae4f11a0f0bc487b04a7365
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1431b7a5c07b98a586fb3376dfe22d02f5a51782
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Apr 25 11:45:30 2014 +0200

    packaging: Include python unit test files

    Change-Id: I65b246a05192d5898e2e122b8c90cf1a7160b50b
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit ac2926fce74246d7512a1322c9cb510007a1602a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Apr 29 16:24:31 2014 +0200

    agent: Report Windows fake cached/buffers memory entries

    To unifiy the OS report structure this has to be reported
    for Windows as well.

    Change-Id: Id71a250084aa6a5efc9583f757accdde772128be
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 169b01871c264560bb93ca49a41e62d3681c1ad9
Author: Amador Pahim <apahim@redhat.com>
Date:   Mon Apr 28 10:34:13 2014 -0300

    agent: report Linux cached/buffers memory

    Some applications, like Oracle Directory Server, use cached memory
    and never release it. Users need to take this memory into account
    when planning the memory requirements.

    Engine counterpart tracked by bz#1024010.

    Change-Id: Id46f85b94937779ea899b05dd1bfa73780a1a4e9
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1024007
    Signed-off-by: Amador Pahim <apahim@redhat.com>

commit 9e608c41bb7789fc20d6cbc6068caec52336d0ae
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Apr 7 16:13:01 2014 +0200

    agent: setNumberOfCPUs support

    Change-Id: I0b03bd96bd52b76e7d3bf1f8bbcdd7d8e8fbc560
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 01939815964c4bcb976702faa5da9d68cdc3f051
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Apr 29 11:33:09 2014 +0200

    Try to load the virtio_console module before starting

    Change-Id: I124bf87f940dae09cb237439e213326a8747938a
    Bug-Url: https://bugzilla.redhat.com/1061139
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 2856433a70b20d0dda20d8c6e53cc0f172f598a2
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Apr 14 17:28:18 2014 +0200

    Init script for SLES

    Change-Id: Ic647c42e986937cc5e18cb40bec7023997e6dd1c
    Bug-Url: https://bugzilla.redhat.com/1043471
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit bbe5e9751017f499a9b36056f4042f9e99d22e68
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Apr 10 13:51:23 2014 +0200

    Remove trailing whitespaces in configuration files

    Change-Id: I6caa2a32f924d787c2f2db08d33bcc511b7e41e3
    Bug-Url: https://bugzilla.redhat.com/1043471
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit a0ee5679aff2a122b98c264ba41072c19e5836de
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Apr 10 13:45:38 2014 +0200

    List of SUSE packages

    Change-Id: I209a8f466ffb6152d2f9f43e8651df9e5d01413e
    Bug-Url: https://bugzilla.redhat.com/1043471
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 2fc297ea523a2bc4a0b94141dda638e0b5fc954a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Apr 10 13:34:14 2014 +0200

    m4: Detect SUSE

    Change-Id: Ic5dda77121a7ccb1e77604324c06bda720ca05d0
    Bug-Url: https://bugzilla.redhat.com/1043471
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit f17e052aba4435e607f5b5d06e7b97a412dda378
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Apr 10 12:16:56 2014 +0200

    Added support for sudo

    This patch introduces configure controlled choice of the elevation mechanism
    used on the system.

    configure has now a new option --with-sudohelper=[usermode|sudo]

    Values:
     - usermode: elevation via consolehelper and pam
     - sudo: elevation via sudo

    Change-Id: I202c1bbea8c95f5ad12edb4959a7d614c89ea246
    Bug-Url: https://bugzilla.redhat.com/1043471
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 9f69e31195aeb439734d6158a5c0ab0a1abc3050
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Apr 18 11:37:51 2014 +0200

    win32: Retrieve the active session through enumeration

    Using WTSGetActiveConsoleSessionId() does in case of RDP connections give
    a session id which is not corresponding to the users session in some cases.
    By enumerating through the sessions and retriving the session with the 'State'
    'WTSActive' we are able to reliably retrieve the current active session.
    This is required in order to get the logged-in user and being able to retrieve
    the user token for performing operations in their name.

    Change-Id: I569d4b6b80e102b83b7e6e39c12524f2d588ad37
    Bug-Url: https://bugzilla.redhat.com/1068750
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1367a3436b66010a05542342ab5e8966a6e85f67
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Apr 7 11:12:41 2014 +0200

    agent: Report number of CPU cores visible online on the guest OS

    This patches a new message and increases the Guest Agent API to
    version 1.

    The new message has this format:
    {"__name__": "number-of-cpus", "count": <int>}

    The reported number 'count' is the number of visible online CPU cores
    on the guest OS system.

    Change-Id: Ief777608519a35319665c4cd0f580b7b38305b3e
    Guest-Agent-API-Version: 1
    Bug-URL: https://bugzilla.redhat.com/show_bug.cgi?id=1063280
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 906949e7f8e2936bbd7a268b3adcb0b676783aab
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jul 17 11:05:51 2013 +0200

    agent: Implement basics for API Versioning

    This commit introduces the basics needed to support API versioning between
    the ovirt-guest-agent and VDSM.

    How the negotiation works:
    - VDSM has as a default the apiVersion value set to _DISABLED_API_VALUE marking
      it as unsupported
    - The guest agent sends its max supported version with every `heartbeat`
      message
    - VDSM checks that `apiVersion` exists in the `heartbeat` message arguments
      - If it exists it retrieves the minimum common version and sends the
        `api-version` message with the common version as `apiVersion` argument
      - If it does NOT exist it and the apiVersion is not set to
        _DISABLED_API_VALUE it will set it to _DISABLED_API_VALUE, with the meaning
        that it is not supported at all by the guest agent on the other end.
    - The guest agent on receiving this message makes it own check and sets the
      `apiVersion` to the commonVersion

    - If VDSM sends the `refresh` command it also sends its `apiVersion` value
      however if it does not, capable guest agents are disabling the versioning
      support and will know it in pre-supported state as well.

    NOTE: VDSM will never send an api-version message without being triggered.
          This is to ensure backwards compatibility.

    Change-Id: I754d52009538914dd0143894b24ad48fbf13cb38
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 723de8e6075a255cf49df0d16b03cce185580a21
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Feb 18 11:28:26 2014 +0100

    Implementation of logind based session locking

    Support screen lock for logind based systems, since ConsoleKit
    is no longer developed in the long run this will be the way to
    go.

    Change-Id: Iafc4b88d9c508647e1d09407556359fbefbba34c
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 5168c478284fa75e1b1a19940233be493560ef12
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jan 20 14:42:35 2014 +0100

    Version 1.0.9 update

    Change-Id: I4a914522846fb879ed09c47992bc5f13d0456ead
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit bfeb7ce71086d7b5fe7ef061bc05eec42b6176b6
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jan 27 12:39:01 2014 +0100

    Build fixes

    * Don't execute PEP8 checks when PEP8 is not installed
    * configure.ac: Don't fail on systems where AM_PROG_AR is not yet
      available in automake
    * m4/fhs.m4 don't fail if neither /var/lock/subsys nor /var/lock
      are present

    Change-Id: Iaa33a029b2e8fbbbd2e1329814dd8dc182109552
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 52b97cfbd5f1a4378b0be168ffd8293e29f99f46
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jan 20 14:28:47 2014 +0100

    packaging: Depend on the qemu-guest-agent

    For support of freezing and thawing the filesystem for the
    Backup and Restore API feature of oVirt

    Change-Id: I4c550801326dfa0b8d9357770f48a6d9b64eb3a1
    Bug-Url: https://bugzilla.redhat.com/1055524
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 17d61aa3be1f85b70f72bb2756f8b3f046db3de8
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon Jan 13 15:20:00 2014 +0200

    agent: handle failures on Windows' write requests.

    Windows' virtio-serial driver behavior was changed so a write
    request when the host is not connected results in immediate
    return with an error.

    Change-Id: I28ca3c1115f6b18295a29d1f87bf3144c00759e1
    Signed-off-by: Gal Hammer <ghammer@redhat.com>
    Bug-Url: https://bugzilla.redhat.com/1026474

commit 8ad7e901e70fe40fa885bbbeb0b530dccefdc34f
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Oct 10 12:15:08 2013 +0200

    pam: Fix the pam conversation approach

    Until now our PAM conversation was errorneous using pam_get_user
    which is not correct for requests other than accquiring the username.

    To correctly request the Token from the frontend we have to use a PAM
    conversation. This is done via the pam_prompt function.

    We also do check now, if the requesting user (if set) is identical with
    the preset user. If this is not the case we will not unlock the screen.
    Preset users should only be available if the screen was locked.
    If the usernames aren't equal, the module will return PAM_CRED_UNAVAIL.

    Additionally the logging was rewritten to use the syslog and more comments
    have been added to describe the steps we're doing.

    Change-Id: I4455ea61ffb27e854fe93bdc51068e12617955a2
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit c39f0c2d4cb71c761cbb4447d680c4e11d4de19c
Author: rexcze <rexcze@gmail.com>
Date:   Wed Nov 20 17:22:52 2013 +0100

    Update README-windows.txt

    python OVirtGuestService.py install should be without "-" near install to work as expected. Tested on 3.3. and windows 2003 and 2008

    Change-Id: I0e5eb8a6a78a9a6c1a036a4fb451e75bb6fb2d3e
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 08a588cfde023ea78bc509511323cdac3eaca7cb
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Nov 4 10:43:12 2013 +0100

    agent: Report swap usage of the guests

    Change-Id: I09f1c0dbbe12eee352637c97a4fa23835d14307a
    Bug-Url: https://bugzilla.redhat.com/1025845
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 8c7738a2e56a6fee73cacbd9ddbc36ca8577ee13
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Oct 9 08:11:55 2013 +0200

    Fixed package name in ovirt-guest-agent.conf

    The package is called ovirt-guest-agent-common now, if searched for
    the package in the package database.

    Change-Id: Ia647838379e5823a8451721ed3f76c248e59e234
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d55dbd69c717f48a56d5aa6c5847252781478003
Author: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>
Date:   Fri Sep 13 21:06:57 2013 +0800

    Ubuntu packaging: add python-nose to build requirements

    "make check" during the build process runs tests which import
    python-nose modules.

    Change-Id: I529b4fe19e191cf2551943f2ed132edee7349ac0
    Signed-off-by: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>

commit 4013bc70ede921b99bc47d0ae096583f3527a842
Author: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>
Date:   Wed Sep 18 11:17:07 2013 +0800

    Ubuntu Packaging: add python-apt to dependency

    In ovirt-guest-agent/GuestAgentLinux2.py we try to import apt module.
    This module is provided by python-apt on Debian and Ubuntu. This patch
    adds python-apt to package dependency.

    Change-Id: I7a248b43c541ded03a26625896881d89a0d6401d
    Signed-off-by: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>

commit 7ceef1528359bea44aa2f705318bff1bbfb9d7a6
Author: Martin Betak <mbetak@redhat.com>
Date:   Wed Sep 11 17:26:21 2013 +0200

    agent: Fix python-2.4 compatibility

    Rewrote the use of ternary operator to if since it is not
    supported in python-2.4.

    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1006861
    Change-Id: I03c63477a2d2bcb9eb4c4307946a3486300663e1
    Signed-off-by: Martin Betak <mbetak@redhat.com>

commit bb587ab97da7d67faa029d5a9a613ad244468029
Author: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>
Date:   Thu Sep 5 09:25:36 2013 +0800

    Packaging: Add the missing dependencies

    automake and pkg-confg are needed when building ovirt-guest-agent in a
    fresh Ubuntu environment.

    This patch also split each dependency to separated lines. The debhelper
    is a boilerplate so leave it at the first line. The other lines are
    custom dependencies so sort them to make it easier to maintain.

    Change-Id: I90f86100946c5b60cc816e664a2857cad5b4b0f5
    Signed-off-by: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>

commit 1ed717196ff4a38766b5ec22eafb42e54ca99fa1
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Sep 10 12:20:09 2013 +0200

    Replaced String check with string conversion

    Currently the string_check is destroying the data when the system
    is not able to convert them properly.
    This is now fixed by allowing unicode strings as they are
    and an attempt of decoding input (non-unicode) strings based
    on the prefered locale encoding.

    If this will fail, the replacement of unknown characters are applied.

    In any case an unicode string is created. If the string is not
    convertible, the return value will be "????" as a replacement.
    This however is the last resort, to allow at least some level of
    data to go through. (e.g. when the application list contains one
    invalid data string currently it would cause the whole list NOT to
    be sent. Now it will be sent)

    Please also note that this commit will fix the failing unit tests.

    Change-Id: Ie277069cbfa39f9735a2b85b9e9da9c3fcfe5938
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 6d3aa51d6ba0256ff6915e6b551a86ab8cb3d3b8
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Sep 5 15:47:09 2013 +0200

    Adding Unit Tests and Functional Tests

    The functional tests so far are testing the retrieval
    of data from the underlying system and ensures the structure
    of the data. It does not however validate the content.
    It ensures that the messages sent over the VirtIO Serial
    channel have the format defined.
    If we change the format it will break the unit tests.

    Additionally a check for the unicode filtering.

    Change-Id: I4c1d740c948e33aed8a04a1013b22276cf7d85e3
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit e90629f193c5eb0bebaf37963b336566db819e54
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Sep 9 12:22:09 2013 +0200

    Revert "Remove contra productive _string_check"

    This reverts commit b06a6c4c8e61013b7461c6fc946c1530ae47584e.
    The previous commit breaks the guest agent badly because the
    string type is required to be unicode, this code previously was
    converting it most of the times to unicode, however in some cases
    it won't do so and causes the data to be an ascii string or even
    replaces valid characters even though it should not.

    The attempt for fixing this issue will be addressed by a new patch.

    Change-Id: I47176ac60e069e7d557312d7047d9bc4b15ac768
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit b06a6c4c8e61013b7461c6fc946c1530ae47584e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Sep 3 12:29:10 2013 +0200

    Remove contra productive _string_check

    _string_check is rather harmful when using the new filtering. It creates
    non-unicode strings out of valid strings.
    The new unicode validation code covers the boundaries much better than
    _string_check therefore we remove it.

    Change-Id: Id01d8dc1374ae33435c5aefaae559ab8aa0ff062
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit c24385fab64a0192c0dee8092c9bb1c2c235b815
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jan 23 12:47:14 2013 +0100

    agent: ovirt-guest-agent version 1.0.8

    ChangeLog updated

    Change-Id: I71b6165b799a730bfe1b3559b8840b0457af997a
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit ecae245160db3b90c820a5cabe8134bad3a55b5a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jun 26 16:48:43 2013 +0200

    agent: Report FQDN of the machine

    Sending now the fqdn message on refresh and startup

    Change-Id: I5d91de94b9ebd4448e9761ce597d970029ca3837
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 7487859794205e6bdff7df66948e6028c7f336bd
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 16 13:51:07 2013 +0200

    agent: Disable GDM plugin building on Fedora 19+

    Fedora 19 does no longer have a GDM with plugin capabilities.
    To allow proper building of the package gdm plugins are no longer
    built for Fedora 19 and higher.

    Change-Id: Iff3f5a3c7c12d9c6ef198aefe163d9633d8364b3
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d05fc4f46c05a6b1b15c8139c372459631e78834
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 16 13:48:34 2013 +0200

    agent: Missing BuildRequirements in spec files

    The following two packages are missing in the build requires
    * python-pep8
    * gcc-c++

    Change-Id: I997a0fd3653688271cfd5ad7ee584d8b6ed1c11d
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit b1e7d5c3a11214cc20df25f0ba57cb4234222dd3
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jul 16 13:46:36 2013 +0200

    agent: Default value for configure should be without-dist

    Change-Id: Ie1f84f06f7a188e59c181a1190ab5a133873cee7
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 2d99359232c8cdd544d192efd3a47603b425e784
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jul 15 17:27:02 2013 +0200

    agent: Reworking the data filtering for the guest agent

    This patchset is oriented on http://gerrit.ovirt.org/#/c/16652

    We're now filtering properly invalid unicode characters and invalid
    characters. Which would cause VDSM to build invalid XML data.

    Change-Id: I3a4347350d791f4df0b26b1cf81d0ca4f9656981
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 281d5432d18bf191ec2890b21ff6fdb7c81069ec
Author: Martin Betak <mbetak@redhat.com>
Date:   Thu Jun 6 15:44:30 2013 +0200

    agent: Support reboot as optional shutdown parameter

    Added optional boolean parameter determining whether to pass the '-r'
    parameter to the appropriate shutdown script.

    Change-Id: I94929ff49677ee79569117158c53bdaf086b3ae8
    Signed-off-by: Martin Betak <mbetak@redhat.com>

commit 1ad924dfec7344edb8540544518d60117429800e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jul 8 13:29:50 2013 +0200

    agent: condrestart should check also for pidfile size

    Change-Id: Ia2dff34095430147116491337ea528594cb6ab04
    Bug-Url: https://bugzilla.redhat.com/977943
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit c4475ac271495d89294664e58157d651c9833ce2
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue May 7 14:08:33 2013 +0200

    agent: Use python 2.4 syntax in GuestAgentLinux2

    Change-Id: I37c570c2cca4a71f15173601aaed27522e01e895
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 412ae0c24ead168907ffbe17ab8b4946ae2e7d06
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Jul 11 09:02:30 2013 +0200

    agent: Add possibility to NOT build kdm and/or gdm extensions

    Since with GNOME 3.8 it's no longer possible to build extensions for GDM
    we're now allowing to disable the build of the extensions for systems
    not supporting it.
    Additionally we're now allowing a better control via configure what to build.

    Change-Id: I87745ea0e49860969d782c35e2e83cec12fff864
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit ae56cffd363217964b0079ef75cb88b84e8f5cf3
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jul 10 16:32:53 2013 +0200

    agent: Adding --with-dist for packaging ease

    Since not all platforms can fullfill the requirements of the
    configure script, but tar balls need to be creatable anyway,
    add a --with-dist to configure for being able to create the
    distribution tarballs anywhere.

    --with-dist on configure now disables the requirement checks.
    This is needed as for example F19 or RHEL6/CentOS won't be able
    to fulfill the requirements for the GDM plugin.

    Change-Id: If1daa4438d9037d47ed4e7ee0be35cb1c2755779
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit f2d30e7466dc7f582d25687d841280f96d7fac15
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jul 10 16:25:21 2013 +0200

    agent: RHEL6 spec file

    Adding a RHEL6 specific spec file for the ovirt-guest-agent

    Change-Id: Ife545bcfc597a3c0227ec1b17258234b87b2df7a
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 2f001d67d44902dd93d99e02537c0f9e8c9b9287
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Apr 2 18:13:47 2013 +0800

    agent: Build and install ovirt guest agent on Ubuntu

    Implemented necessary changes for making the oVirt Guest Agent
    working on Ubuntu and Fedora.

    Change-Id: I7a694bf1f7ff4230bac305dd571899265ef63950
    Signed-off-by: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 15e3f8d01bca1ef49c649ade8c0c99a8566ebba0
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jun 10 09:18:35 2013 +0200

    agent: Do not install Windows files on linux

    Change-Id: Ic7cdb66b2b154901541010135ddf118893182ec9
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit fec9cb42a0bc193071b7be0d473c1b5418d5c3ef
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed May 15 09:39:35 2013 +0200

    agent: Use the locale module to get the preferred encoding

    The guest agent used for the string sanitization sys.stdout.encoding
    which is set to None when you're running without an allocated console.
    This is the case on Windows as a service. The locale module provides
    the function getpreferredencoding() which returns the required value.

    Resolves: BZ#962667

    Change-Id: I9ff6e3c7165599f80d13115e0173eefe0e79e664
    Bug-Url: https://bugzilla.redhat.com/962667
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 0d9280ec109e0bd6c693999a4c036e70d9324860
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Apr 4 15:54:07 2013 +0200

    agent: Send non-blocking uninstalled notification without python

    Remove the inline python script to send the non-blocking uninstalled
    message and replace it with echo + dd

    Change-Id: I8b2f84d56377ba4ba42ee206966b7b68deae7fc9
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 67589a7ecbf5dc98d08a7383c2fbf9c90512da5b
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Fri Apr 5 09:49:02 2013 +0200

    agent: Ignore usbfs filesystems'

    Change-Id: Iee799b05f3c700e8e3912305e2984dad6e049f7d
    Bug-Url: https://bugzilla.redhat.com/947792
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit de1daabc1453c2ae3a6e0f27971f36cc865b05d5
Author: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>
Date:   Thu Apr 11 13:23:57 2013 +0800

    agent: avoid failing to get disk stat when deal with gvfs-fuse

    gvfs-fuse filesystem prevents other user from stat it. Even root can not
    stat other user's gvfs-fuse fs. Stat on it fails then the whole disk
    stat function fails.

    This patch skips gvfs-fuse related filesystem when collecting disk stat.
    Moreover, this patch try..except in a finner per fs granularity, so that
    failing on stat one fs does not fails the whole operation.

    Change-Id: I69c674904c2ad9cb508c5294591a8ba0813e4238
    Signed-off-by: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>

commit f44af16c872a2aceb31bae2c0e93eca1f8a40556
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Mar 26 15:31:03 2013 +0100

    agent: Recommend python 2.7.3 for windows in the README

    Change-Id: Ib051c8f8890e70c3382f366f7272c51f9e711162
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1c77f2661b9ccc3f8897788363ac8600f0b4037f
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Mar 26 15:15:15 2013 +0100

    agent: Windows Guest - ini file lookup

    The ini file is now expected to be in the same folder as the service
    executable.

    Change-Id: I4d1927a429fcb780119f78f8dc05999f3bae9148
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit d73a85e5ce30fe689d0764d99342c6206fae0e62
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Mar 26 11:26:30 2013 +0100

    agent: Include windows files in tar balls

    In order to be able providing source tar balls and src zips containing
    all possible build targets we're now including all files necessary.
    Previously we did not include all files and it was necessary to
    checkout the source git repository to be able building windows
    targets for the guest agent.
    This commit provides the necessary changes to include all necessary
    files for building it from source tar balls.

    Change-Id: I793b84ac78127593a11ab9894fdbc68fa45d224d
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 9e7a4f08bee74e3bd9e6b223cdb041f7b5984c4c
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Apr 4 14:15:40 2013 +0200

    agent: Perform string sanitization on messages

    Messages sent via VirtIO are now checked for being presentable
    and additionally filtered for invalid characters due to invalid
    encodings.

    Change-Id: I499a22e1572b55d1a3a4de7ce6f89ebb130861a8
    Bug-Url: https://bugzilla.redhat.com/947014
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 61af838faaf017a4f3d31dd2d0246db8a9983154
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Feb 21 13:35:04 2013 +0100

    agent: Add a configure option to disable SSO

    We don't support SSO on all systems, therefore we should at least make
    it possible to build the guest agent daemon for those systems

    Change-Id: Ic00e4c781a47194bbf6eda62fe3b4f1f107bbbbe
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 2b0260bb267c5b5c539bfae1158845554c267a17
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Mar 26 11:07:20 2013 +0100

    Added myself to AUTHORS

    Change-Id: I541d0ecdf6e623210c5ecd89cdb694cb90e199c2
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 20e08c2c9ee7d3721e57c98dffbd2f55d282ac37
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Jan 14 10:22:56 2013 +0100

    agent: Fixing .gitattributes

    .gitattributes should contains text infront of eol

    Change-Id: Iec9a241e05c2c6c9a3922de0c9153e97406118eb
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit c61fabb746b3a7f3e6f8c166578be193b13ed4d4
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Jan 8 15:16:03 2013 +0100

    agent: Running PEP8 checks on python files

    Change-Id: Ie41f1126dfd124e393ae11e9c4c054c7c23ce7aa
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 51be0250673f7b81aeb80ecd0183f255e0606a9e
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Dec 26 09:24:47 2012 +0100

    agent: Pep8 fixes

    * CredServer
    * GuestAgentLinux2
    * VirtIoChannel
    * WinFile
    * version
    * setup.py - FP on py2exe import
    * OVirtGuestAgent
    * OVirtAgentLogic
    * ovirt-guest-agent
    * LockActiveSession
    * GuestAgentWin32

    Change-Id: I74c33ed2ef2e5c33b9d25cb8b38e4201d67a957b
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit f5db1a06b8793fa2306c4a387c77dd1f43771e98
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Wed Jan 23 12:33:12 2013 +0100

    agent: Call restorecon on pidfile

    Change-Id: I8729ce8018566b400846e0d639dfdb6b11d51862
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 767acc9d433cabd267a6c7f06f314db9e35c45ae
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Feb 14 17:25:05 2013 +0100

    agent: Reported MAC on Windows now the same as on Linux

    Reporting of the MAC differs between linux and Windows guest operating
    systems. The windows operating system reports it separated by dashes '-'.
    This changeset will replace those dashes with colons ':'

    Change-Id: Id19a8944025ee22d82a57b99fe4ba1c4315c27e9
    Bug-Url: https://bugzilla.redhat.com/908761
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 1c35798a95890bf90764eb4ee4a38e027f9410b7
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Feb 14 17:18:34 2013 +0100

    agent: Sorted gitignore and added .idea

    Change-Id: Iad052f3d272b5df68275de9baeac3f9e45ea32c5
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 517cf4082f027e2496128e8bfe4fdf2149fa33a0
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Tue Feb 19 13:50:59 2013 +0100

    agent: datadir as default home for the ovirtagent user

    Solves the issue with starting the service when polyinstantiated
    namespaces are used on the system.
    Following the Fedora guideline:
        http://fedoraproject.org/wiki/Packaging:UsersAndGroups

    Bug-Url: https://bugzilla.redhat.com/883124
    Change-Id: I08cd6e8ca4341c62c0e5f18b6c6226a103873f62
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 31a6af39ad0138e4482b53cddbd3d36d04a67e5c
Author: Dan Kenigsberg <danken@redhat.com>
Date:   Thu Jan 3 15:00:57 2013 +0200

    Report multiple IPv4 addresses per device if available

    A future version of python-ethtool is going to expose
    ethtool.etherinfo.get_ipv4_addresses() method, reporting multiple
    addresses of a single device. Use this method if available.

    Signed-off-by: Dan Kenigsberg <danken@redhat.com>
    Change-Id: I77bfd63874134b8d0c626c6d179643c2ec781b44

commit d2defa34e0572cb72ea65c977fb2948bce72008c
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Dec 30 10:00:20 2012 +0200

    agent: Send 'uninstalled' notification non blocking

    The "echo" command blocks if the host is not connected to the
    virtio-serial port. Replace it with a short python script that
    opens the port with the O_NONBLOCK flag. This way, removing the
    agent's doesn't hung if vdsm (or any other listener) doesn't
    exist during the removal.

    Change-Id: I5b49e53cda2f21bd759b0f3f67619f7f1e45688f
    Signed-off-by: Gal Hammer <ghammer@redhat.com>
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 172f4b48caf99d1b22271b2f64561c992a3b2751
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Dec 27 10:55:48 2012 +0200

    agent: fixed "modified" files after clone.

    Due to CR/LF issue some files were reported as "modified" even after
    new clone or hard reset. Recommited the files with the right line-
    ending.

    Change-Id: I147b60f91335e18d786f79e3ab5d3799c1b18ab8
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 9d83c9f8b652a73a8fae61d69e150b6e7c890490
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Dec 26 10:47:52 2012 +0200

    agent: rewrote nic's addresses functions in python 2.4 syntax.

    Change-Id: I17c6fb0dc2ac818677155444442f4a004f8463ec
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 8524331c852a1689614fa727a6ff1d77874050f5
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue Dec 25 16:14:27 2012 +0200

    updated change-log for version 1.0.7

    Change-Id: I8439b85ca0b479455dc7b03ff25ceccd04594f60
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit bd615da3ceb267b09bd286ebe9860d2ae32ba270
Author: Vinzenz Feenstra <evilissimo@gmail.com>
Date:   Thu Dec 20 16:32:45 2012 +0100

    Let udev reset user rights on virtio-channel during package removal

    When the package is removed udev should be triggered to reset
    the access rights on the virtio-channel.

    Change-Id: If1c80a7f9068aa4f23710b0ba3afa43196e66520
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=882245
    Signed-off-by: Vinzenz Feenstra <evilissimo@gmail.com>

commit 058df65c0d0ff97474b25c53879792a6ac4f565a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Nov 26 12:54:05 2012 +0100

    guest-agent: Unification of line endings to unix

    Change-Id: I7f85bdc2c295c695d1877641eb89515b6f94974f
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 8fb5aa6dda8187b0d00b777f0c601ed1511d084a
Author: Antoni S. Puimedon <asegurap@redhat.com>
Date:   Wed Dec 19 10:43:49 2012 +0100

    Fixed support for reporting devices with only ipv6.

    ethtool.get_active_devices does not consider as up the devices that
    have only an IPv6 address set. Also, it throws an IOError exception
    when doing get_ipaddr of a device that is up but does not have an
    IPv4 address set. Thus, doing the filtering by using the device flags
    and getting the IPv4 address in a similar way as how we get the IPv6
    one, not only fixes the issue but increases the consistency of the
    code.

    Change-Id: I92010740da24bb30c7316c268c704d9067b28aae
    Signed-off-by: Antoni S. Puimedon <asegurap@redhat.com>

commit 51739c7870be410076d294679807c615f9905bb6
Author: Antoni S. Puimedon <asegurap@redhat.com>
Date:   Wed Dec 19 10:29:55 2012 +0100

    Fix pep8 errors in the linux guest agent.

    Cleanup of the code to bring it up to standards of the rest of ovirt.

    Change-Id: I7e8e12bdf42ef86d88a0d4d38750f2e1bc739e22
    Signed-off-by: Antoni S. Puimedon <asegurap@redhat.com>

commit 4ed4ac6be9451356794467be189b08cf97a512b2
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Mon Oct 22 10:35:31 2012 +0200

    Updated spec file to follow packaging guide lines (BZ#772608)

    * Bumped the ovirt-guest-agent version in configure.ac to 1.0.6
      as preparation for the next release
    * Updated INSTALL to the current version
    * autogen.sh is now using autoreconf -ivf
    * Added m4 folder

    Changes to spec file:
    - Introduced ovirt-guest-agent-service noarch package which provides
      ovirt-guest-agent and avoids duplication of the same package content
    - Fixed various rpmlint errors and warnings
    - Added required build requires
    - Removed unnecessary build requires
    - Removed unnecessary call to autoreconf in setup section
    - Marked config files as such
    - Excluded unwanted files instead of deleting them
    - Moved folder creation and symlink creation from spec to autotools
    - License file change reflected
    - Removed systemd unit file installation
    - Removed creation of log and lock folders

    Changes to build system:
    - Added creation of /usr/share/ovirt-guest-agent
    - Added creation of symlinks for:
      - ovirt-hibernate
      - ovirt-shutdown
      - ovirt-locksession
    - Systemd unit files are now installed, if systemd is detected
    - Log and lock folders for ovirt-guest-agent are now created on install
    - Added missing -fPIC for the pam module
    - Various improvements to configure.ac and several Makefile.am files in regards
      of installation directory detection and installation handling

    Change-Id: Iec350b4027bffff8dff73db7986020fdc48261cd
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=772608
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 61401bbed0b3fb2189f7fb51825cf43cb3714a95
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Nov 4 15:50:34 2012 +0200

    agent: added win8 and win2012 to reported os version.

    Change-Id: I80d2fdce98479f0d2ecf693c08bb84aff44c4465
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 71e500b0d4e328f2e337f6b823faab343dda2a5a
Author: Vinzenz Feenstra <vfeenstr@redhat.com>
Date:   Thu Oct 18 10:01:53 2012 +0200

    agent: Added APT package list support

    The newly added functionality allows the guest agent to report installed
    packages and their version even on systems with APT package managers
    (e.g Debian) or both RPM + APT side by side.

    Change-Id: I42d9d599b1effdd1b8c205ac9523e9b31922cd73
    Signed-off-by: Vinzenz Feenstra <vfeenstr@redhat.com>

commit 35c77e08698879a43ced2251a562feacd8168d60
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Oct 10 15:47:24 2012 +0200

    replaced agent license to apache software license (asl) 2.0.

    Change-Id: Ibc18a1761236b91644c526a6f4c17eef2ffd7e65
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit af605082e0bf22667f385a3373e02cdc0652a5eb
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Jul 12 10:17:42 2012 +0300

    agent: new implementation for nics' information function.

    The new implementation allows the agent to run without requiring
    the python-ethtool package to be installed.

    Change-Id: I2cc663150cb1dc17e568fb429ea786b6baa4ca9e
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 7f7554230b7e9e368fac7c71f2b0e47ed0297bf8
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Jul 12 10:00:57 2012 +0300

    agent: new implementation for installed application function.

    The new implementation allows the agent to run on Linux distribution
    which is not based on rpm packages (i.e. Debian). If the
    distribution's package system is not implemented an empty list
    of packages is returned.

    Change-Id: If9694c933dedc9b4f7c76e84e2f621fdee3278a5
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit f9dc229a8b1eb822cd36e9ff8fb2448b3dc73997
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon May 21 12:57:33 2012 +0300

    agent: fixed removal of agent's dir on uninstall (bz#679451).

    Change-Id: I23e6c63421e28ea38277b156c65399299309f9b0
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 5be96c09a9d6c68f795be4ea33b0c38afca10945
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun May 20 16:06:16 2012 +0300

    agent: fixed various rpmlint errors and warnings.

    Change-Id: I7a13d4a345ab3300713e20c291ef8549d0e6f765
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 50285a6e51286d4108bddc7e976f88423ba6c7ab
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun May 20 11:05:50 2012 +0300

    agent: fixed 'udevadm trigger' command line (bz#819945).

    The previous command line cause the trigger to apply to all the
    devices (udevadm ignores the /dev/* path). This cause a system
    time jump to occur in relation with the configured time zone.

    Change-Id: I70cb1fa38e0e1fa53f340a79f1f568c04b5f0cf2
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 3ffcf737139222e596441285818626958128f896
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue May 15 12:07:33 2012 +0300

    agent: updated spec file to version 1.0.4-1

    Change-Id: I4a94a5d1fd842a810f974c6071867e2ab75eb4f8
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 05b554f10d7c58c4ab5c3c768066bfd9e98ec382
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Apr 19 15:01:48 2012 +0300

    agent: added files to support RHEL-5 distribution.

    Change-Id: I6ff4b89b3c47d3a0f7d7b04b0c1d9fb3c056e12c
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit 9e2332676f09b3d823daee3e653f0c5161e4081f
Author: David Ja.a <djasa@redhat.com>
Date:   Sun May 13 14:06:40 2012 +0300

    Use %{_unitdir} to point systemd file.

    Change-Id: I2504b56e6f05e3ecd420342097402fe433ca597f
    Signed-off-by: Gal Hammer <ghammer@redhat.com>

commit b203a4197dffd305d62b023b330074d71449c873
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Apr 18 13:42:32 2012 +0300

    agent: acquire network interfaces' information using wmi.

    Change-Id: I7d031dc7284d51331f988bed6b6c0002d9d16e71

commit 879d779f4492091d3822cc935347bbd9f2e4dc4a
Author: Mark Wu <wudxw@linux.vnet.ibm.com>
Date:   Fri Feb 24 14:33:27 2012 +0800

    Add more detailed memory statistics function to guest agent.

    Change-Id: Ic93b8717f99f033caf2b5dc2404a55f903bf4b0a
    Signed-off-by: Mark Wu <wudxw@linux.vnet.ibm.com>
    Signed-off-by: Adam Litke <agl@us.ibm.com>

commit 4e80b4d3d7117e4e66eeefae30bca823eed8d7b6
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Apr 15 11:21:53 2012 +0300

    Serveral changes after comments from Steven Dake.

    - removed the RHEL distribution support for the review process.
    - removed BuildRoot header and %clean section.
    - fixed ovirtguest user creation.

    Change-Id: I2ebc745ae10ee34caaeec9a17cecc2a10c089cfa

commit 5367aaa81a39716a06833e7ba1a1e3791f670094
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue Apr 10 17:03:06 2012 +0300

    agent: renamed to rhevm-guest-agent in RHEL distribution.

    Change-Id: I7825920f81a37cf4139aa4f37f111510dba3d857

commit d00dbf9eb385fa9d9c478be4adda15472af99241
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Mar 28 12:12:43 2012 +0200

    updated change-log for version 1.0.2-1.

    Change-Id: I3f498eacb6911c114569d5b34caa580d6b68a1af

commit 426006cb57ffba531d11542d3f0661e70fc6cdb4
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Feb 5 10:41:42 2012 +0200

    agent: included a gpl-v2 copying file to match the license stated in spec file.

    Change-Id: Ib54e6861c7cf643a679c881f62d55caab12a9d0f

commit d9ebfae857ac7e203a5f3769e9ed7802dfb972ac
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Feb 22 11:33:39 2012 +0200

    agent: updated required selinux-policy version (rhbz#791113).

    Change-Id: Ia60bf46a7e52279ed9419de732a49ef314fb26b2

commit f471a6c830ccc82fb8b0c6d1eb7d8e5d2ce217b2
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Mar 21 14:21:15 2012 +0200

    agent: build the gdm-plugin using the gdm-devel package.

    Change-Id: Ib405afb2d8f467e33fe29f9c3feafe0452e69a20

commit 66a3820a17e3e0fdc2913e87f77fb7b2b1f99722
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon Mar 19 14:14:37 2012 +0200

    Build gdm and kdm plugin for RHEL distribution.

    Change-Id: Iec3983c08cc499532a7c4b9a705e927bd1ae1db4

commit a0a61cb91f499b3698d180c2f2bb970262342da6
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon Mar 19 14:20:41 2012 +0200

    Use SystemV-style init script for RHEL distribution.

    Change-Id: Ic91b5f81a04e38741a9ba0e32f73a12ee621ce47

commit 99026a78fe44f7dd1d9a972610a713a2cec87feb
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon Mar 19 14:01:45 2012 +0200

    Added new command line arguments to the agent executable.

    The new command line arguments will have running the agent as
    standalone program or as a daemon and allow changing the
    location of the PID file without code modification.

    The change was done is order to support both Fedora and RHEL
    distributions.

    Change-Id: I42bba6b7e498e4f5a6c725a4693b7234d700a1c6

commit cefc212a2b59f3083fd4334cb7afb5f3c932641c
Author: Gal Hammer <ghammer@redhat.com>
Date:   Mon Mar 19 13:54:35 2012 +0200

    Renamed agent's user to ovirtagent.

    Change-Id: Ia26e710acfc7826cb020ecf49d00c9985d5fc633

commit 33741de37473a25e7ebb4890c82bc582b599f615
Author: Barak Azulay <bazulay@redhat.com>
Date:   Wed Nov 2 20:59:54 2011 +0200

    Added a Gina dll solution to support SSO on win XP
    For further information about Gina interface take a look at:
    http://msdn.microsoft.com/en-us/library/aa375457%28v=vs.85%29.aspx

    Change-Id: Id1d1ee228b2655928b836d96a10de91bd578a2f8

commit a89a25f1f66a3b917d43febac0628240f3910e6d
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Jan 25 20:57:02 2012 +0200

    agent: replaced init.d style script to systemd.

    Change-Id: I196cfd5cfe1d53edd4bb45be1b3d1247663cb50a

commit e49aa2333621d4c7ccf4faabf4a9c7cfb47d4f10
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Jan 25 10:08:00 2012 +0200

    agent: more spec file fixes after Stephen Gordon's review.

    Change-Id: Ic2a1fc10e51b70391dcde8abb9a6a3fb70169ce8

commit c56f46a139b2757a494a6bdc85979f2ebe9361e8
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue Jan 17 15:06:15 2012 +0200

    agent: removed some requires from the spec file as a response to Pavel Zhukov's comments.

    Change-Id: If08d8fd6d6d32c1513800d00d4d836fb332ebe97

commit ee9c7d3d916a336988c672b91114721f43a57211
Author: Mark Wu <wudxw@linux.vnet.ibm.com>
Date:   Thu Jan 19 17:49:31 2012 +0800

    Add the prefix 'with' to the configure option '--gdm-src-dir' in the
    output of `configure --help`

    Change-Id: I1fc2802b3436a0c711155bd2c8eb4601e3d61c28

commit 7d602d9fe0bc95984c2da823ccc91cde7693e314
Author: Mark Wu <wudxw@linux.vnet.ibm.com>
Date:   Thu Jan 19 17:34:55 2012 +0800

    Don't remove ovirt-guest-agent/ovirt-guest-agent on 'make clean'

    Change-Id: I38aa4da6aebf76f2fe76936b14184c7bb6481c29

commit 299125c97371d7d026b37fc1b81b8d7bb83f7adf
Author: Gal Hammer <ghammer@redhat.com>
Date:   Wed Jan 18 15:04:53 2012 +0200

    agent: added a support for a guest hibernate command.

    Change-Id: Ic360fa47576121dd7c9e3bddcf758843cb1847b3

commit 6e3dd4d428fb13c1aa6feff737d4c78ff76c12ec
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Dec 25 10:42:30 2011 +0200

    credprov: initial import of the windows's credentials provider.

    Change-Id: If4b713bf3bbb2d80d4b5d41c185471d12db40e69

commit d447ca82461c798e4dc61a00d9af8f451f994471
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Dec 18 13:32:25 2011 +0200

    kdm: handled the error message when plugin was selected.

    A dialog with a "theme not usable with authentication method" error
    message was shown when the kdm plugin was selected. The cause was
    a widget with a name that didn't exists in the theme's definitions
    file.

    Change-Id: Id544f7074ebd7707a3388dc871e72fc865112e1a

commit d1b60f576b9f4fdc60eb55791a2cfd9ec2a67fde
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Dec 15 13:52:09 2011 +0200

    agent: include gdm-plugin in build.

    Change-Id: I097c0a75caa54c49dd0f4602664d9c94f050d675

commit 44852caed00ed45c4552894e89efe160507fae6a
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue Dec 13 15:01:58 2011 +0200

    gdm: updated gdm's plugin files to gdm-3.

    Change-Id: I1a23f162d2f535009c16cd6e07b9f0960b461c73

commit 9d2b6a748a7045ac9c65e4afd604e45f695996ea
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue Dec 13 14:55:49 2011 +0200

    gdm: renamed gdm plugin files.

    Change-Id: Icc801879d9d0cd9c3c9ab0742df73964c895441b

commit 9af5f8d2c12df5c37b17442edf65366f7e6d5835
Author: Gal Hammer <ghammer@redhat.com>
Date:   Tue Dec 13 16:43:39 2011 +0200

    agent: fixed rhbz#759843. files were changed in %post section.

    Change-Id: Ib0639363c81cb00731db2431543168ed94327f51

commit 5570d3e23c06aa95149504911e26de702f6168b6
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Dec 1 15:44:22 2011 +0200

    agent: fixed service not started after reboot on fc-16.

    The pid file was installed on a tmp fs.

    Change-Id: I759ad27ae8b2e696555074f0c91f2d2a541e7d59

commit 27889e8456b194700cb3bb752f0b080e66d7f174
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Nov 13 15:07:50 2011 +0200

    agent: rewrote the getActiveUser method.

    Change-Id: I187b588c9abe6febd891528cccd0fddf3d7cb2ac

commit 8b55929ec3c091186564f88f0125983d28c8eebc
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Nov 13 14:56:49 2011 +0200

    agent: the WTSGetActiveConsoleSessionId function is now implemented.

    Change-Id: I20f3a411fe0c41921d2c56e8d55c03d4d1a12a33

commit 1c5adad69066889a64a3e89de1dfc96c0fe1b3f2
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Nov 3 15:57:55 2011 +0200

    kdm: updated kdm's plugins files with the new agent's name.

    Change-Id: Icbf5e92ba3c0e61b2da01d35834b7e8b0d3627ad

commit af93ad4418e8378a13a6632bbd2021b3e9e66dfc
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Nov 3 13:31:35 2011 +0200

    kde: renamed kde plugin files.

    Change-Id: Ied3c70ec3aaba7eea96ad45092a51532cd63ffd7

commit a1628ac956120efcd51805aec23cfeb7da6f3834
Author: Gal Hammer <ghammer@redhat.com>
Date:   Thu Nov 3 13:22:02 2011 +0200

    kde: renamed kde plugin paths.

    Change-Id: Icb0e6d834dee5ffceb3d3281c1bbb8b2e3e83bea

commit a3122f92ace9c0bd3af9ff0db64750dd57903a5a
Author: Gal Hammer <ghammer@redhat.com>
Date:   Sun Oct 30 17:33:03 2011 +0200

    agent: removed unused legacy usb handling.

commit dd5e58e9685dbe3a5100aa1ca0eaabdccb19762d
Author: Barak Azulay <bazulay@redhat.com>
Date:   Sat Oct 29 15:33:01 2011 +0200

    Added Fedora README - how to setup a development environment on a Fedora 15 guest

commit b9370ab61a75564a0f840d1f0ce82a767c48eb82
Author: Barak Azulay <bazulay@redhat.com>
Date:   Sat Oct 29 15:17:27 2011 +0200

    Added windows README - on how to setup a development environment on a windows guest

commit 83c7e676fb9d66f239e2c1b72dd74f0c77be0bc9
Author: Barak Azulay <bazulay@redhat.com>
Date:   Sat Oct 29 14:30:42 2011 +0200

    Initial commit of ovirt-guest-agent
